## org.eclipse.datatools.modelbase.sql.query.impl
Class QuerySearchConditionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

All Implemented Interfaces:
  QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

Direct Known Subclasses:
  PredicateImpl, SearchConditionCombinedImpl, SearchConditionNestedImpl

public abstract class QuerySearchConditionImpl
extends SQLQueryObjectImpl
implements QuerySearchCondition

An implementation of the model object 'SQL Search Condition'.

The following features are implemented:

- `Negated Condition`
- `Update Statement`
- `Delete Statement`
- `Table Joined`
- `Combined Left`
- `Combined Right`
- `Query Select Having`
- `Query Select Where`
- `Value Expr Case Search Content`
- `Nest`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetCombinedLeft(SearchConditionCombined newCombinedLeft, NotificationChain msgs)`
`NotificationChain` `basicSetCombinedRight(SearchConditionCombined newCombinedRight, NotificationChain msgs)`
`NotificationChain` `basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement, NotificationChain msgs)`
`NotificationChain` `basicSetNest(SearchConditionNested newNest, NotificationChain msgs)`
`NotificationChain` `basicSetQuerySelectHaving(QuerySelect newQuerySelectHaving, NotificationChain msgs)`
`NotificationChain` `basicSetQuerySelectWhere(QuerySelect newQuerySelectWhere, NotificationChain msgs)`
`NotificationChain` `basicSetTableJoined(TableJoined newTableJoined, NotificationChain msgs)`
`NotificationChain` `basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement, NotificationChain msgs)`
`NotificationChain` `basicSetValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SearchConditionCombined` `getCombinedLeft()`
`SearchConditionCombined` `getCombinedRight()`
`QueryDeleteStatement` `getDeleteStatement()`
`SearchConditionNested` `getNest()`
`QuerySelect` `getQuerySelectHaving()`
`QuerySelect` `getQuerySelectWhere()`
`java.lang.String` `getSQL()`
`TableJoined` `getTableJoined()`
`QueryUpdateStatement` `getUpdateStatement()`
`ValueExpressionCaseSearchContent` `getValueExprCaseSearchContent()`
`boolean` `isNegatedCondition()`
`void` `setCombinedLeft(SearchConditionCombined newCombinedLeft)`
`void` `setCombinedRight(SearchConditionCombined newCombinedRight)`
`void` `setDeleteStatement(QueryDeleteStatement newDeleteStatement)`
`void` `setNegatedCondition(boolean newNegatedCondition)`
`void` `setNest(SearchConditionNested newNest)`
`void` `setQuerySelectHaving(QuerySelect newQuerySelectHaving)`
`void` `setQuerySelectWhere(QuerySelect newQuerySelectWhere)`
`void` `setTableJoined(TableJoined newTableJoined)`
`void` `setUpdateStatement(QueryUpdateStatement newUpdateStatement)`
`void` `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`setSQL`

Method Detail

### isNegatedCondition

    public boolean isNegatedCondition()

  Specified by:
    `isNegatedCondition` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Negated Condition' attribute.
  See Also:
    `QuerySearchCondition.setNegatedCondition(boolean)`, `SQLQueryModelPackage.getQuerySearchCondition_NegatedCondition()`

### setNegatedCondition

    public void setNegatedCondition(boolean newNegatedCondition)

  Specified by:
    `setNegatedCondition` in interface `QuerySearchCondition`
  Parameters:
    `newNegatedCondition` - the new value of the 'Negated Condition' attribute.
  See Also:
    `QuerySearchCondition.isNegatedCondition()`

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

  Specified by:
    `getUpdateStatement` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `QuerySearchCondition.setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getQuerySearchCondition_UpdateStatement()`, `QueryUpdateStatement.getWhereClause()`

### basicSetUpdateStatement

    public NotificationChain basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement,
                                                     NotificationChain msgs)

### setUpdateStatement

    public void setUpdateStatement(QueryUpdateStatement newUpdateStatement)

  Specified by:
    `setUpdateStatement` in interface `QuerySearchCondition`
  Parameters:
    `newUpdateStatement` - the new value of the 'Update Statement' container reference.
  See Also:
    `QuerySearchCondition.getUpdateStatement()`

### getDeleteStatement

    public QueryDeleteStatement getDeleteStatement()

  Specified by:
    `getDeleteStatement` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `QuerySearchCondition.setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getQuerySearchCondition_DeleteStatement()`, `QueryDeleteStatement.getWhereClause()`

### basicSetDeleteStatement

    public NotificationChain basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement,
                                                     NotificationChain msgs)

### setDeleteStatement

    public void setDeleteStatement(QueryDeleteStatement newDeleteStatement)

  Specified by:
    `setDeleteStatement` in interface `QuerySearchCondition`
  Parameters:
    `newDeleteStatement` - the new value of the 'Delete Statement' container reference.
  See Also:
    `QuerySearchCondition.getDeleteStatement()`

### getTableJoined

    public TableJoined getTableJoined()

  Specified by:
    `getTableJoined` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Table Joined' container reference.
  See Also:
    `QuerySearchCondition.setTableJoined(TableJoined)`, `SQLQueryModelPackage.getQuerySearchCondition_TableJoined()`, `TableJoined.getJoinCondition()`

### basicSetTableJoined

    public NotificationChain basicSetTableJoined(TableJoined newTableJoined,
                                                 NotificationChain msgs)

### setTableJoined

    public void setTableJoined(TableJoined newTableJoined)

  Specified by:
    `setTableJoined` in interface `QuerySearchCondition`
  Parameters:
    `newTableJoined` - the new value of the 'Table Joined' container reference.
  See Also:
    `QuerySearchCondition.getTableJoined()`

### getCombinedLeft

    public SearchConditionCombined getCombinedLeft()

  Specified by:
    `getCombinedLeft` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `QuerySearchCondition.setCombinedLeft(SearchConditionCombined)`, `SQLQueryModelPackage.getQuerySearchCondition_CombinedLeft()`, `SearchConditionCombined.getLeftCondition()`

### basicSetCombinedLeft

    public NotificationChain basicSetCombinedLeft(SearchConditionCombined newCombinedLeft,
                                                  NotificationChain msgs)

### setCombinedLeft

    public void setCombinedLeft(SearchConditionCombined newCombinedLeft)

  Specified by:
    `setCombinedLeft` in interface `QuerySearchCondition`
  Parameters:
    `newCombinedLeft` - the new value of the 'Combined Left' container reference.
  See Also:
    `QuerySearchCondition.getCombinedLeft()`

### getCombinedRight

    public SearchConditionCombined getCombinedRight()

  Specified by:
    `getCombinedRight` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `QuerySearchCondition.setCombinedRight(SearchConditionCombined)`, `SQLQueryModelPackage.getQuerySearchCondition_CombinedRight()`, `SearchConditionCombined.getRightCondition()`

### basicSetCombinedRight

    public NotificationChain basicSetCombinedRight(SearchConditionCombined newCombinedRight,
                                                   NotificationChain msgs)

### setCombinedRight

    public void setCombinedRight(SearchConditionCombined newCombinedRight)

  Specified by:
    `setCombinedRight` in interface `QuerySearchCondition`
  Parameters:
    `newCombinedRight` - the new value of the 'Combined Right' container reference.
  See Also:
    `QuerySearchCondition.getCombinedRight()`

### getQuerySelectHaving

    public QuerySelect getQuerySelectHaving()

  Specified by:
    `getQuerySelectHaving` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Query Select Having' container reference.
  See Also:
    `QuerySearchCondition.setQuerySelectHaving(QuerySelect)`, `SQLQueryModelPackage.getQuerySearchCondition_QuerySelectHaving()`, `QuerySelect.getHavingClause()`

### basicSetQuerySelectHaving

    public NotificationChain basicSetQuerySelectHaving(QuerySelect newQuerySelectHaving,
                                                       NotificationChain msgs)

### setQuerySelectHaving

    public void setQuerySelectHaving(QuerySelect newQuerySelectHaving)

  Specified by:
    `setQuerySelectHaving` in interface `QuerySearchCondition`
  Parameters:
    `newQuerySelectHaving` - the new value of the 'Query Select Having' container reference.
  See Also:
    `QuerySearchCondition.getQuerySelectHaving()`

### getQuerySelectWhere

    public QuerySelect getQuerySelectWhere()

  Specified by:
    `getQuerySelectWhere` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Query Select Where' container reference.
  See Also:
    `QuerySearchCondition.setQuerySelectWhere(QuerySelect)`, `SQLQueryModelPackage.getQuerySearchCondition_QuerySelectWhere()`, `QuerySelect.getWhereClause()`

### basicSetQuerySelectWhere

    public NotificationChain basicSetQuerySelectWhere(QuerySelect newQuerySelectWhere,
                                                      NotificationChain msgs)

### setQuerySelectWhere

    public void setQuerySelectWhere(QuerySelect newQuerySelectWhere)

  Specified by:
    `setQuerySelectWhere` in interface `QuerySearchCondition`
  Parameters:
    `newQuerySelectWhere` - the new value of the 'Query Select Where' container reference.
  See Also:
    `QuerySearchCondition.getQuerySelectWhere()`

### getValueExprCaseSearchContent

    public ValueExpressionCaseSearchContent getValueExprCaseSearchContent()

  Specified by:
    `getValueExprCaseSearchContent` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `QuerySearchCondition.setValueExprCaseSearchContent(ValueExpressionCaseSearchContent)`, `SQLQueryModelPackage.getQuerySearchCondition_ValueExprCaseSearchContent()`, `ValueExpressionCaseSearchContent.getSearchCondition()`

### basicSetValueExprCaseSearchContent

    public NotificationChain basicSetValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent,
                                                                NotificationChain msgs)

### setValueExprCaseSearchContent

    public void setValueExprCaseSearchContent(ValueExpressionCaseSearchContent newValueExprCaseSearchContent)

  Specified by:
    `setValueExprCaseSearchContent` in interface `QuerySearchCondition`
  Parameters:
    `newValueExprCaseSearchContent` - the new value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `QuerySearchCondition.getValueExprCaseSearchContent()`

### getNest

    public SearchConditionNested getNest()

  Specified by:
    `getNest` in interface `QuerySearchCondition`
  Returns:
    the value of the 'Nest' container reference.
  See Also:
    `QuerySearchCondition.setNest(SearchConditionNested)`, `SQLQueryModelPackage.getQuerySearchCondition_Nest()`, `SearchConditionNested.getNestedCondition()`

### basicSetNest

    public NotificationChain basicSetNest(SearchConditionNested newNest,
                                          NotificationChain msgs)

### setNest

    public void setNest(SearchConditionNested newNest)

  Specified by:
    `setNest` in interface `QuerySearchCondition`
  Parameters:
    `newNest` - the new value of the 'Nest' container reference.
  See Also:
    `QuerySearchCondition.getNest()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### getSQL

    public java.lang.String getSQL()

  Specified by:
    `getSQL` in interface `SQLQueryObject`
  Overrides:
    `getSQL` in class `SQLQueryObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.